{
  name = "bash";
  machine = { pkgs, ... }: {
    genode.init.children.bash = {
      configFile = pkgs.writeText "bash.child.dhall" ''
        ${./bash.dhall}
        { bash = "${pkgs.genodePackages.bash}"
        , coreutils = "${pkgs.genodePackages.coreutils}"
        , path = "${
          with pkgs;
          (lib.makeSearchPathOutput "bin" "bin" [ bash coreutils rsync ])
        }"
        }
      '';
      inputs = [ pkgs.genodePackages.bash pkgs.rsync ]

        ++ (with pkgs.genodePackages; [
          cached_fs_rom
          libc
          posix
          vfs
          vfs_pipe
        ]);
    };
  };
  testScript = ''
    start_all()
    machine.wait_until_serial_output('child "bash" exited with exit value 0')
  '';
}
